Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icerhg.F90	(revision 8426)
@@ -19,5 +19,4 @@
    USE ice              ! LIM-3 variables
    USE icerhg_evp       ! EVP rheology
-   USE icecons          ! conservation tests
    USE icectl           ! control prints
    USE icevar
@@ -61,4 +60,10 @@
 
       IF( nn_timing == 1 )  CALL timing_start('icerhg')
+
+      IF( kt == nit000 .AND. lwp ) THEN
+         WRITE(numout,*)
+         WRITE(numout,*)'icerhg'
+         WRITE(numout,*)'~~~~~~'
+      ENDIF
 
       CALL ice_var_agg(1)   ! aggregate ice categories
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icestp.F90	(revision 8426)
@@ -11,5 +11,5 @@
    !!            3.3  ! 2010-11  (G. Madec) ice-ocean stress always computed at each ocean time-step
    !!            3.4  ! 2011-01  (A Porter)  dynamical allocation
-   !!             -   ! 2012-10  (C. Rousset)  add ice_diahsb
+   !!             -   ! 2012-10  (C. Rousset)  add ice_dia
    !!            3.6  ! 2014-07  (M. Vancoppenolle, G. Madec, O. Marti) revise coupled interface
    !!            4.0  ! 2016-06  (L. Brodeau) new unified bulk routine (based on AeroBulk)
@@ -37,9 +37,8 @@
    USE icerdgrft       ! Ice ridging/rafting
    USE iceupdate       ! sea surface boundary condition
-   USE icediahsb       ! Ice budget diagnostics
+   USE icedia          ! Ice budget diagnostics
    USE icewri          ! Ice outputs
    USE icerst          ! Ice restarts
-   USE iceerr1         ! Ice corrections after dynamics
-   USE iceerr2         ! Ice corrections after thermo
+   USE icecor          ! Ice corrections
    USE icevar          ! Ice variables switch
    USE icectl          !
@@ -47,5 +46,5 @@
    USE limmp
    ! END MV MP 2016
-   USE iceistate       ! LIM initial state
+   USE iceist          ! LIM initial state
    USE icethd_sal      ! LIM ice thermodynamics: salinity
    !
@@ -130,9 +129,4 @@
          CALL eos_fzp( sss_m(:,:) , t_bo(:,:) )
          t_bo(:,:) = ( t_bo(:,:) + rt0 ) * tmask(:,:,1) + rt0 * ( 1._wp - tmask(:,:,1) )
-
-         ! Mask sea ice surface temperature (set to rt0 over land)
-         DO jl = 1, jpl
-            t_su(:,:,jl) = t_su(:,:,jl) * tmask(:,:,1) + rt0 * ( 1._wp - tmask(:,:,1) )
-         END DO
          !
                                       CALL ice_bef         ! Store previous ice values
@@ -156,10 +150,10 @@
                                       CALL ice_adv( kt )       ! -- advection
             IF( nn_limdyn == 2 .AND. nn_monocat /= 2 )  &      ! -- ridging/rafting
-               &                      CALL ice_rdgrft         
-            IF( nn_limdyn == 2 )      CALL ice_err1( kt )      ! -- Corrections
+               &                      CALL ice_rdgrft( kt )         
+            IF( nn_limdyn == 2 )      CALL ice_cor( kt , 1 )   ! -- Corrections
             !
          ENDIF
-
          ! ---
+         
 #if defined key_agrif
          IF( .NOT. Agrif_Root() )     CALL agrif_interp_lim3('T')
@@ -196,5 +190,5 @@
          ! END MV MP 2016
 
-         IF( ln_limthd )              CALL ice_err2( kt )       ! -- Corrections
+         IF( ln_limthd )              CALL ice_cor( kt , 2 )    ! -- Corrections
          ! ---
 # if defined key_agrif
@@ -213,5 +207,5 @@
 !!         IF( .NOT. Agrif_Root() )   CALL Agrif_ParentGrid_To_ChildGrid()
 !!# endif
-         IF( ln_limdiahsb )           CALL ice_diahsb( kt )     ! -- Diagnostics and outputs 
+         IF( ln_limdiahsb )           CALL ice_dia( kt )     ! -- Diagnostics and outputs 
          !
                                       CALL ice_wri( 1 )         ! -- Ice outputs 
@@ -282,5 +276,5 @@
       !                                ! Initial sea-ice state
       IF( .NOT. ln_rstart ) THEN              ! start from rest: sea-ice deduced from sst
-         CALL ice_istate
+         CALL ice_ist
       ELSE                                    ! start from a restart file
          CALL ice_rst_read
@@ -291,5 +285,5 @@
       CALL ice_update_init                 ! ice surface boundary condition
       !
-      IF( ln_limdiahsb) CALL ice_diahsb_init  ! initialization for diags
+      IF( ln_limdiahsb) CALL ice_dia_init  ! initialization for diags
       !
       fr_i(:,:)     = at_i(:,:)         ! initialisation of sea-ice fraction
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd.F90	(revision 8426)
@@ -36,5 +36,4 @@
    USE icetab         ! 1D <==> 2D transformation
    USE icevar         !
-   USE icecons        ! conservation tests
    USE icectl         ! control print
    !
@@ -93,7 +92,7 @@
 
       IF( kt == nit000 .AND. lwp ) THEN
-         WRITE(numout,*)'' 
-         WRITE(numout,*)' ice_thd '
-         WRITE(numout,*)' ~~~~~~~~'
+         WRITE(numout,*)
+         WRITE(numout,*)' icethd '
+         WRITE(numout,*)' ~~~~~~~'
       ENDIF
       
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90	(revision 8426)
@@ -23,5 +23,5 @@
    USE ice            ! LIM variables
    USE icetab         ! LIM 2D <==> 1D
-   USE icecons        ! LIM conservation
+   USE icectl         ! LIM conservation
    USE icethd_ent
    USE icevar
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8426)
@@ -32,9 +32,8 @@
    USE sbc_oce , ONLY : nn_fsbc, ln_ice_embd, sfx, fr_i, qsr_tot, qns, qsr, fmmflx, emp, taum, utau, vtau
    USE sbccpl         ! Surface boundary condition: coupled interface
-   USE icealbedo      ! albedo parameters
+   USE icealb         ! albedo parameters
    USE traqsr         ! add penetration of solar flux in the calculation of heat budget
    USE domvvl         ! Variable volume
    USE icectl         !
-   USE icecons        !
    USE bdy_oce  , ONLY: ln_bdy
    !
@@ -44,4 +43,5 @@
    USE lib_mpp        ! MPP library
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -108,4 +108,11 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   zalb_cs, zalb_os     ! 3D workspace
       !!---------------------------------------------------------------------
+      IF( nn_timing == 1 )  CALL timing_start('ice_update_flx')
+
+      IF( kt == nit000 .AND. lwp ) THEN
+         WRITE(numout,*)
+         WRITE(numout,*)'ice_update_flx'
+         WRITE(numout,*)'~~~~~~~~~~~~~~'
+      ENDIF
 
       ! --- case we bypass ice thermodynamics --- !
@@ -201,5 +208,5 @@
       !    Snow/ice albedo (only if sent to coupler, useless in forced mode)   !
       !------------------------------------------------------------------------!
-      CALL ice_albedo( t_su, ht_i, ht_s, a_ip_frac, h_ip, ln_pnd_rad, zalb_cs, zalb_os ) ! cloud-sky and overcast-sky ice albedos
+      CALL ice_alb( t_su, ht_i, ht_s, a_ip_frac, h_ip, ln_pnd_rad, zalb_cs, zalb_os ) ! cloud-sky and overcast-sky ice albedos
 
       alb_ice(:,:,:) = ( 1. - cldf_ice ) * zalb_cs(:,:,:) + cldf_ice * zalb_os(:,:,:)
@@ -211,4 +218,6 @@
       IF( ln_limctl )   CALL ice_prt( kt, iiceprt, jiceprt, 3, ' - Final state ice_update - ' )
       IF( ln_ctl )      CALL ice_prt3D( 'iceupdate' )
+
+      IF( nn_timing == 1 )  CALL timing_stop('ice_update_flx')
 
    END SUBROUTINE ice_update_flx
@@ -247,4 +256,13 @@
       REAL(wp) ::   zat_v, zvtau_ice, zv_t, zrhoco  !   -      -
       !!---------------------------------------------------------------------
+
+      IF( nn_timing == 1 )  CALL timing_start('ice_update_tau')
+
+      IF( kt == nit000 .AND. lwp ) THEN
+         WRITE(numout,*)
+         WRITE(numout,*)'ice_update_tau'
+         WRITE(numout,*)'~~~~~~~~~~~~~~'
+      ENDIF
+
       zrhoco = rau0 * rn_cio
       !
@@ -285,4 +303,5 @@
       CALL lbc_lnk_multi( utau, 'U', -1., vtau, 'V', -1. )   ! lateral boundary condition
       !
+      IF( nn_timing == 1 )  CALL timing_stop('ice_update_tau')
       !  
    END SUBROUTINE ice_update_tau
@@ -304,5 +323,5 @@
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'ice_update_init : LIM-3 sea-ice - surface boundary condition'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~   '
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~~   '
 
       !                                      ! allocate ice_update array
@@ -368,11 +387,4 @@
    END SUBROUTINE ice_update_init
 
-#else
-   !!----------------------------------------------------------------------
-   !!   Default option :        Dummy module       NO LIM 3.0 sea-ice model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE ice_update           ! Dummy routine
-   END SUBROUTINE ice_update
 #endif 
 
Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8424)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8426)
@@ -612,5 +612,5 @@
       !!                  ice thickness distribution follows a gaussian law
       !!               around the concentration of the most likely ice thickness
-      !!                           (similar as iceistate.F90)
+      !!                           (similar as iceist.F90)
       !!
       !! ** Method:   Iterative procedure
